My Project: dgList< T >::Iterator Class Reference

My Project

Public Member Functions | List of all members
dgList< T >::Iterator Class Reference

`#include <dgList.h>`

## Public Member Functions

| Iterator (const dgList< T > &me)
| ~Iterator ()
| operator dgInt32 () const
bool | operator== (const Iterator &target) const
void | Begin ()
void | End ()
void | Set (dgListNode *const node)
void | operator++ ()
void | operator++ (dgInt32)
void | operator-- ()
void | operator-- (dgInt32)
T & | operator* () const
dgListNode * | GetNode () const

## Constructor & Destructor Documentation

## § Iterator()

template<class T>

dgList< T >::Iterator::Iterator | ( | const dgList< T > & | me | ) |

inline

## § ~Iterator()

template<class T>

dgList< T >::Iterator::~Iterator | ( |  | ) |

inline

## Member Function Documentation

## § Begin()

template<class T>

void dgList< T >::Iterator::Begin | ( |  | ) |

inline

## § End()

template<class T>

void dgList< T >::Iterator::End | ( |  | ) |

inline

## § GetNode()

template<class T>

dgListNode* dgList< T >::Iterator::GetNode | ( |  | ) | const

inline

## § operator dgInt32()

template<class T>

dgList< T >::Iterator::operator dgInt32 | ( |  | ) | const

inline

## § operator*()

template<class T>

T& dgList< T >::Iterator::operator* | ( |  | ) | const

inline

## § operator++() [1/2]

template<class T>

void dgList< T >::Iterator::operator++ | ( |  | ) |

inline

## § operator++() [2/2]

template<class T>

void dgList< T >::Iterator::operator++ | ( | dgInt32 |  | ) |

inline

## § operator--() [1/2]

template<class T>

void dgList< T >::Iterator::operator-- | ( |  | ) |

inline

## § operator--() [2/2]

template<class T>

void dgList< T >::Iterator::operator-- | ( | dgInt32 |  | ) |

inline

## § operator==()

template<class T>

bool dgList< T >::Iterator::operator== | ( | const Iterator & | target | ) | const

inline

## § Set()

template<class T>

void dgList< T >::Iterator::Set | ( | dgListNode *const | node | ) |

inline

The documentation for this class was generated from the following file:

- dynamics.mod/NewtonDynamics/source/core/dgList.h